<!DOCTYPE html>
<html>
<head>
  <title>Meat</title>
  <%= wicked_pdf_stylesheet_link_tag "pdf"%>
</head>
<body class="flat-blue">
  <div class="app-container">
    <div class="row content-container">
      <!-- Main Content -->
      <div class="container-fluid">
          <div class="side-body">
              <div class="row">
                  <div class="col-xs-12">
                      <div class="card">
                          <div class="card-body">
                             <table class="table table-bordered">
                                 <thead>
                                   <tr>
                                     <th width="2%" bgcolor="#9adbf9">No</th>
                                     <th width="10%" bgcolor="#9adbf9">Waktu</th>
                                     <th width="10%" bgcolor="#9adbf9">Nama</th>
                                     <th width="8%" bgcolor="#9adbf9">Satuan Kg</th>
                                     <th width="8%" bgcolor="#9adbf9">Satuan Dus</th>
                                     <th width="5%" bgcolor="#9adbf9">Tipe</th>
                                     <th width="8%" bgcolor="#9adbf9">Boning (Kg)</th>
                                     <th width="8%" bgcolor="#9adbf9">Boning (Dus)</th>
                                     <th width="8%" bgcolor="#9adbf9">Berat Awal</th>
                                     <th width="8%" bgcolor="#9adbf9">Karkas</th>
                                   </tr>
                                 </thead>
                                 <tbody>
                                   <% @reports.each_with_index do |report, index_num| %>
                                     <tr>
                                       <td rowspan="<%= report.total_rowspan + 1 %>">
                                         <%= index_num + 1 %>
                                       </td>
                                       <td rowspan="<%= report.total_rowspan + 1 %>">
                                         <%= report.timestamp.strftime('%d-%m-%Y') %>
                                       </td>
                                       <td style="border:none;padding: 0px;">
                                       </td>
                                       <td style="border:none;padding: 0px;">
                                       </td>
                                       <td style="border:none;padding: 0px;">
                                       </td>
                                       <td style="border:none;padding: 0px;">
                                       </td>
                                       <td rowspan="<%= report.total_rowspan + 1 %>">
                                         <%= report.total_kg %>
                                       </td>
                                       <td rowspan="<%= report.total_rowspan + 1 %>">
                                         <%= report.total_box %>
                                       </td>
                                       <td rowspan="<%= report.total_rowspan + 1 %>">
                                         <%= report.result.total_meat %>
                                       </td>
                                       <td rowspan="<%= report.total_rowspan + 1 %>">
                                         <%= report.result.total_karkas %>
                                       </td>
                                     </tr>
                                       <% report.muttons.each_with_index do |mutton, index| %>
                                           <tr>
                                             <td><%= mutton.property.try(:name) %> - (<%= mutton.property.try(:code) %>)</td>
                                             <td><%= mutton.total_kg.to_i %></td>
                                             <td><%= mutton.total_box.to_i %></td>
                                             <td><%= mutton.property.try(:parent) %></td>
                                           </tr>
                                       <% end %>
                                   <% end %>
                                 </tbody>
                             </table>
                          </div>
                      </div>
                  </div>
              </div>
          </div>
      </div>
    </div>
  </div>
</body>
</html>
